=== debian/changelog ===
gmsh (2.5.0.dfsg-8) unstable; urgency=low

  * [7f7164f] Add platform restriction for libmedc-dev (Closes: #623561)
  * [1718816] Standards-Version: 3.9.2 (no changes)
  * [6de2ed7] Update VCS-field to git-repo
  * [f7cd0da] Add DM-Upload-Allowed field
  * [72abecd] Delete quilt from BD

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 25 May 2011 22:31:48 +0200

gmsh (2.5.0.dfsg-7) unstable; urgency=low

  * Fix FTBFS on some platforms due to missing space between
      libhdf5-mpi-dev and platform list

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 13 Apr 2011 20:40:54 +0100

gmsh (2.5.0.dfsg-6) unstable; urgency=low

  * enable med-support only on platforms, where libhdf5-openmpi-dev is 
    available: 
    alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 02 Apr 2011 00:57:54 +0100

gmsh (2.5.0.dfsg-5) unstable; urgency=low

  * Team upload
  * Use libhdf5-mpi-dev instead of specific arch

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 31 Mar 2011 10:27:38 +0200

gmsh (2.5.0.dfsg-4) unstable; urgency=low

  [ Christophe Trophime ]
  * Add libhdf5-lam-dev / libhdf5-openmpi-dev to Build-Depends (Closes: #613056)

  [ Anton Gladky ]
  * nvidia-glx-dev is deleted from Build-Depends as it is not in sid any more.
  * "or" statements are deleted from Build-Depends, because of:
      http://lists.debian.org/debian-devel/2011/02/msg00738.html

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 30 Mar 2011 14:47:29 +0200

gmsh (2.5.0.dfsg-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * debian/copyright has been changed to machine-readable DEP-5 format
  * Old unused patches are removed
  * Updated license information, now GPL-2+ instead of GPL-2:
      http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617931#10
  * Move mpi-default-bin from "Recommends" to "Depends". Closes: #605962
  * sensible-editor and sensible-browser are used. Closes: #618541
  * Fix spelling errors, fix-spelling-errors.patch

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 19 Mar 2011 09:52:13 +0100

gmsh (2.5.0.dfsg-2) unstable; urgency=low

  [Christophe Trophime]
  * Add openmp support
  * Add metis support : use scotchmetis

  [ Christophe Prud'homme ]
  * Upload

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 28 Oct 2010 14:16:40 +0200

gmsh (2.5.0.dfsg-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 19 Oct 2010 14:14:25 +0200

gmsh (2.5.0~svn20100831.dfsg-1) experimental; urgency=low

  [Christophe Prud'homme]
  * New version from svn (rev 7977) that fixes a crash in 2D plots

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 31 Aug 2010 15:54:07 +0200

gmsh (2.5.0~svn20100808-3) experimental; urgency=low

  [Christophe Prud'homme]
  * debian/rules: create and package shared lib

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 12 Aug 2010 13:28:48 +0200

gmsh (2.4.2.dfsg-7) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/rules: create shared lib

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 12 Aug 2010 13:11:26 +0200

gmsh (2.4.2.dfsg-6) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/rules: add libGmsh.a to the gmsh package

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 11 Aug 2010 14:59:41 +0200

gmsh (2.5.0~svn20100808-2) experimental; urgency=low

  [Christophe Prud'homme]
  * debian/rules: add libGmsh.a to the gmsh package

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 11 Aug 2010 13:53:18 +0200

gmsh (2.5.0~svn20100808-1) experimental; urgency=low

  * New upstream release
  * Fixed all lintian source warnings
  * debian/control: updated to Standards-Version 3.9.1 (no change)

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 08 Aug 2010 10:51:38 +0200

gmsh (2.5.0~svn20100728-1) experimental; urgency=low

  * New upstream release
  * debian/control: updated to Standards-Version 3.9.0

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 28 Jul 2010 08:56:14 +0200

gmsh (2.5.0~svn20100727-1) experimental; urgency=low

  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 27 Jul 2010 10:33:38 +0200

gmsh (2.5.0~svn20100711-1) experimental; urgency=low

  [Christophe Prud'homme]
  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 11 Jul 2010 18:12:00 +0200

gmsh (2.4.2.dfsg-5) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: add build-depends on mpi-default-dev
  * Bug fix: "please add med support", thanks to trophime (Closes:
    #585871).

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 11 Jul 2010 14:01:31 +0200

gmsh (2.4.2.dfsg-4) unstable; urgency=low

  [Christophe Prud'homme]
  * moved gmsh from pkg-scicomp to Debian Science
  * Bug fix: "please add med support", thanks to trophime (Closes:
    #585871).

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 25 Jun 2010 09:17:27 +0200

gmsh (2.4.2.dfsg-3) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "FTBFS: make[1]: *** No rule to make target `default&#39;.
    Stop.", thanks to Lucas Nussbaum (Closes: #577316).

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 27 May 2010 12:36:33 +0200

gmsh (2.4.2.dfsg-2) unstable; urgency=low

  * debian/control: now build with med-ficher support
  * debian/control: update standards-version to 3.8.4 (no change)

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 09 Feb 2010 21:25:21 +0100

gmsh (2.4.2.dfsg-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release
    + solver code refactoring
    + better IDE integration.

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 27 Sep 2009 17:36:40 +0200

gmsh (2.4.1.dfsg-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release
    + fixed surface mesh orientation bug introduced in 2.4.0;
    + mesh and graphics code refactoring;
    + small usability enhancements and bug fixes.


