=== debian/changelog ===
gmsh (2.5.1~beta1~svn9373~dfsg-1) unstable; urgency=low

  * [5cf0714] Disable Metis. Packaged version of Metis does not support
      some new functions, itroduced in gmsh.
  * [e6b9db7] Change compat to 8.
  * [19d2bdf] Switch debian/rules to dh.
  * [e6404c4] Fix some typos.
  * [ad1f7c7] Delete prerm file.
  * [e46bffc] Link with packaged gl2ps instead of shipped with the 
      source (fix lintian error).
  * [fa15729] Change name of lib-file (fix lintian error).
  * [4e75a8e] Imported Upstream version 2.5.1~beta1~svn9373~dfsg

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 05 Jun 2011 21:14:37 +0200
