=== Common/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.
@@ -13,7 +13,6 @@
   OS.cpp
   OpenFile.cpp
   CreateFile.cpp
-  LuaBindings.cpp
   VertexArray.cpp
   SmoothData.cpp
   Octree.cpp 
@@ -23,7 +22,6 @@
   TreeUtils.cpp avl.cpp
   MallocUtils.cpp
   ConnectionManager.cpp
-  Bindings.cpp
 )
 
 file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
