=== Graphics/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
-# Gmsh - Copyright (C) 1997-2010 C. Geuzaine, J.-F. Remacle
+# Gmsh - Copyright (C) 1997-2011 C. Geuzaine, J.-F. Remacle
 #
 # See the LICENSE.txt file for license information. Please report all
 # bugs and problems to <gmsh@geuz.org>.
 
 set(SRC
+  Camera.cpp 
   Trackball.cpp 
   ReadImg.cpp 
   drawContext.cpp
