=== Solver/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
   linearSystem.cpp
   linearSystemCSR.cpp
   linearSystemPETSc.cpp
+  dofManager.cpp
   groupOfElements.cpp
   elasticityTerm.cpp
   elasticitySolver.cpp
