=== debian/changelog ===
gmsh (2.5.1~beta1~svn9559~dfsg-2) unstable; urgency=low

  * [6215c99] Update FTBFS with ld --as-needed. 
      Thanks to Julian Taylor <jtaylor.debian@googlemail.com>
      (Closes: #633459)

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 10 Jul 2011 20:21:49 +0200

gmsh (2.5.1~beta1~svn9559~dfsg-1) unstable; urgency=low

  * [7a54011] Imported Upstream version 2.5.1~beta1~svn9559~dfsg:
      - fixed segmentation fault when creating 3d mesh (Closes: #607875)
      - gmsh returns a non-zero exit code, if an error appears during work 
        (Closes: #613568)
  * [c176e62] Update some patches (small changes).

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 06 Jul 2011 20:10:06 +0200
