=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Anton Gladky <gladky.anton@gmail.com>
-Build-Depends: debhelper (>= 8), cdbs, cmake, gfortran, libgl1-mesa-dev,
+Build-Depends: debhelper (>= 8), cmake, gfortran, libgl1-mesa-dev,
  libglu1-mesa-dev, libfltk1.1-dev (>=1.1.7),
  libpng12-dev, libjpeg62-dev, zlib1g-dev, texlive, texinfo,
  mpi-default-dev,
@@ -12,7 +12,7 @@
  libmed-dev (>= 2.3.6), libmedc-dev (>= 2.3.6) [alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc], 
  libhdf5-mpi-dev [alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc],
  libscotchmetis-dev,
- libblas-dev, liblapack-dev
+ libblas-dev, liblapack-dev, libgl2ps-dev, freeglut3-dev
 Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/debian-science/packages/gmsh.git
