## gmsh 2.5.1~beta1~svn9724~dfsg

=== Geo/CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,7 @@
   MZone.cpp MZoneBoundary.cpp
   Cell.cpp CellComplex.cpp ChainComplex.cpp Homology.cpp
   Curvature.cpp
+  MVertexBoundaryLayerData.cpp
 )
 
 file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
