=== Mesh/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,8 @@
     meshPartitionOptions.cpp
     meshRefine.cpp
     multiscalePartition.cpp
+    QuadTriUtils.cpp
+      QuadTriExtruded2D.cpp QuadTriExtruded3D.cpp QuadTriTransfinite3D.cpp
 )
 
 file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
